FlatBitVectorsScorer (Lucene 10.5.0 codecs API)
Description: declaration: package: org.apache.lucene.codecs.bitvectors, class: FlatBitVectorsScorer

Package org.apache.lucene.codecs.bitvectors

# Class FlatBitVectorsScorer

java.lang.Object
org.apache.lucene.codecs.bitvectors.FlatBitVectorsScorer

All Implemented Interfaces:
  `FlatVectorsScorer`

public class FlatBitVectorsScorer extends Object implements FlatVectorsScorer
A bit vector scorer for scoring byte vectors.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlatBitVectorsScorer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RandomVectorScorer`
  `getRandomVectorScorer(VectorSimilarityFunction similarityFunction, KnnVectorValues vectorValues, byte[] target)`
  `RandomVectorScorer`
  `getRandomVectorScorer(VectorSimilarityFunction similarityFunction, KnnVectorValues vectorValues, float[] target)`
  `RandomVectorScorerSupplier`
  `getRandomVectorScorerSupplier(VectorSimilarityFunction similarityFunction, KnnVectorValues vectorValues)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FlatBitVectorsScorer

    public FlatBitVectorsScorer()

- ## Method Details

  - ### getRandomVectorScorerSupplier

    public RandomVectorScorerSupplier getRandomVectorScorerSupplier(VectorSimilarityFunction similarityFunction, KnnVectorValues vectorValues) throws IOException
    Specified by:
      `getRandomVectorScorerSupplier` in interface `FlatVectorsScorer`
    Throws:
      `IOException`

  - ### getRandomVectorScorer

    public RandomVectorScorer getRandomVectorScorer(VectorSimilarityFunction similarityFunction, KnnVectorValues vectorValues, float[] target) throws IOException
    Specified by:
      `getRandomVectorScorer` in interface `FlatVectorsScorer`
    Throws:
      `IOException`

  - ### getRandomVectorScorer

    public RandomVectorScorer getRandomVectorScorer(VectorSimilarityFunction similarityFunction, KnnVectorValues vectorValues, byte[] target) throws IOException
    Specified by:
      `getRandomVectorScorer` in interface `FlatVectorsScorer`
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`